Bug 134353 - vgscan hangs with yesterday and todays build
Summary: vgscan hangs with yesterday and todays build
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 15:56 UTC by Corey Marthaler
Modified: 2010-01-12 02:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 18:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2004-10-01 15:56:31 UTC
Description of problem:
Derek and I are seeing this repeatedly on our nodes when attempting to
check for vgs out on the SAN. The vgscan just appears to hang. Here is
where the strace shows it's at:
 
stat64("/proc/lvm/VGs/recovery", 0xbffff090) = -1 ENOENT (No such file or 
directory)
rt_sigprocmask(SIG_SETMASK, ~[RTMIN], [], 8) = 0
write(3,
"3\1\377\277\0\0\0\0\0\0\0\0\r\0\0\0\0\1\0V_recovery\0\377"..., 31) = 31
read(3,

How reproducible:
Always

Comment 1 Christine Caulfield 2004-10-04 08:38:50 UTC
The latest build seems OK for me. Can you find out what clvmd is up to
(clvmd -d) and post the last few lines of the log please.

It's also worth disabling debug logging before starting clvmd, as it
seems to confuse it's initial LV detection (as I mentioned in email)

Comment 2 Corey Marthaler 2004-10-04 16:43:12 UTC
I no longer see this vgscan hang but do now see a hang futher down 
the road at the pvcreate (bz134559). 

Comment 3 Corey Marthaler 2004-10-05 19:05:52 UTC
I'm seeing the vgscan hang again 

Comment 4 Christine Caulfield 2004-10-06 07:18:14 UTC
I'm pretty certain this is the same as the pvcreate hang but until I
have any evidence I won't merge the bugs.

This is a bit of a long shot, but can you try backing out the last
change to clvmd.c:

cvs update -r1.3 clvmd.c

Comment 5 Christine Caulfield 2004-10-06 10:12:14 UTC
Light dawns, yes that would (and does) fix it, for me at least.

It seems that combining fork and pthreads is a really bad idea so I've
put the fork back to where it was (before any threads are created).
Then made the parent wait for daemon initialisation to complete so
that it can report errors back to the user. I'll mark 134559 as
MODIFIED too as I'm pretty convinced it's the same thing.

Checking in daemons/clvmd/clvmd.c;
/cvs/lvm2/LVM2/daemons/clvmd/clvmd.c,v  <--  clvmd.c
new revision: 1.5; previous revision: 1.4
done

Comment 6 Corey Marthaler 2004-10-27 18:48:35 UTC
fix verified.

Comment 7 Kiersten (Kerri) Anderson 2004-11-16 19:08:05 UTC
Updating version to the right level in the defects.  Sorry for the storm.


Note You need to log in before you can comment on or make changes to this bug.